Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1728072 - python-bz2file fails to build with Python 3.8
Summary: python-bz2file fails to build with Python 3.8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-bz2file
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS F32FailsToInstall PYTHON38
TreeView+ depends on / blocked
 
Reported: 2019-07-08 23:41 UTC by Miro Hrončok
Modified: 2020-03-16 20:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-16 20:19:30 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github nvawda bz2file issues 7 0 'None' open Since Python 3.7, threading is always available 2020-03-13 16:21:34 UTC

Description Miro Hrončok 2019-07-08 23:41:53 UTC
python-bz2file fails to build with Python 3.8.0b2.

+ /usr/bin/python3 test_bz2file.py
................................................E.................
======================================================================
ERROR: testWithoutThreading (__main__.BZ2FileTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "test_bz2file.py", line 504, in testWithoutThreading
    f.write(b"abc")
  File "/builddir/build/BUILD/bz2file-0.98/bz2file.py", line 391, in write
    return len(data)
  File "/usr/lib64/python3.8/_dummy_thread.py", line 129, in __exit__
    self.release()
  File "/usr/lib64/python3.8/_dummy_thread.py", line 176, in release
    raise error
RuntimeError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "test_bz2file.py", line 504, in testWithoutThreading
    f.write(b"abc")
  File "/builddir/build/BUILD/bz2file-0.98/bz2file.py", line 141, in close
    self._buffer_offset = 0
  File "/usr/lib64/python3.8/_dummy_thread.py", line 129, in __exit__
    self.release()
  File "/usr/lib64/python3.8/_dummy_thread.py", line 176, in release
    raise error
RuntimeError

----------------------------------------------------------------------
Ran 66 tests in 0.922s

FAILED (errors=1)

It is not very clear to me, what rally went wrong.


For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.8/fedora-rawhide-x86_64/00964853-python-bz2file/

For all our attempts to build python-bz2file with Python 3.8, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.8/package/python-bz2file/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.8:
https://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Let us know here if you have any questions.

Comment 1 Petr Viktorin (pviktori) 2019-07-09 08:25:21 UTC
Reported at https://github.com/nvawda/bz2file/issues/7 :

bz2file's test suite blocks the threading module to simulate systems where threads aren't available.

Since Python 3.7, Python no longer supports systems without threads; the threading module is always available. The test fails with RuntimeError errors in Python 3.8.0 beta 2.

Comment 2 Lumír Balhar 2019-07-17 11:55:53 UTC
I can confirm that tests fail also in Python 3.7.4.

Comment 3 Ben Cotton 2019-08-13 19:01:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 4 Miro Hrončok 2019-08-14 22:24:13 UTC
The coordinated rebuild of Python 3.8 has started in the `f32-python` side tag.

If you figure out how to rebuild this package, please don't rebuild it in regular rawhide, but use the side tag instead:

    on branch master:
    $ fedpkg build --target=f32-python

To wait for a build to show up in the side tag, do:

    $ koji wait-repo f32-python --build=<nvr>

Where <nvr> is name-version-release of the source package, e.g. python-foo-1.1-2.fc32.

An updated mock config is posted at:
http://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Note that it will take a while before the essential packages are rebuilt, so don't expect all your dependencies to be available right away.

Thanks. Let us know if you need up to date info, or if you have any questions.



PS this message is mass posted to all the bugs that block the PYTHON38 bug. If this is also a Fedora 31 FTBFS bug and you manage to fix it, you can do a f31 build as usual:

    on branch f31:
    $ fedpkg build

Comment 5 Miro Hrončok 2019-08-21 16:34:27 UTC
The f32-python side tag has been merged. In order to rebuild the package, do it in regular rawhide, but please wait until python3-3.8 is tagged:

  $ koji wait-repo f32-build --build python3-3.8.0~b3-3.fc32


If your built already started in f32-python, after it is finished, please tag it to rawhide with:

  $ koji tag-build f32-pending <nvr>

For example:

  $ koji tag-build f32-pending libreoffice-6.3.0.4-3.fc32

Thanks!

(This comment is mass posted to all bugzillas blocking the PYTHON38 tracking bug.)

Comment 6 Miro Hrončok 2019-08-21 17:29:02 UTC
(Python 3.8 has landed in the rawhide buildroot.)

Comment 7 Miro Hrončok 2019-09-16 08:46:52 UTC
Upstream seem nonrepsonsive and nothing seems to require this. Shall we retire the package?

Comment 8 Miro Hrončok 2019-11-17 23:48:42 UTC
Shall we retire the package?

Comment 9 Miro Hrončok 2019-12-06 23:53:50 UTC
Please, respond.

Comment 10 Miro Hrončok 2020-01-02 14:52:16 UTC
Consider this the reminder described as step 4 in https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 11 Miro Hrončok 2020-02-05 11:35:21 UTC
https://pagure.io/releng/issue/9223

Comment 12 Ben Cotton 2020-02-11 15:39:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 13 Fedora Release Engineering 2020-02-16 04:26:17 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 14 Fedora Release Engineering 2020-03-01 04:26:08 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 15 Miro Hrončok 2020-03-02 09:14:44 UTC
I ma retiring the package.

Comment 16 Fedora Update System 2020-03-02 10:24:01 UTC
FEDORA-2020-ec3b10864f has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ec3b10864f

Comment 17 Fedora Update System 2020-03-02 16:40:53 UTC
fedora-obsolete-packages-32-37 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ec3b10864f

Comment 18 Fedora Update System 2020-03-16 20:19:30 UTC
fedora-obsolete-packages-32-37 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2020-03-16 20:31:24 UTC
fedora-obsolete-packages-32-37 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.